downgrader firefox et thunderbird (et fin de windows xp - ree)

Vous avez un didactiel ou une astuce particulière concernant un logiciel, partagez votre expérience dans cette partie.
Avatar de l’utilisateur
le Manchot Masqué
Administrateur du site
Messages : 420
Inscription : lun. 26 mai 2008, 21:05
Distribution : Debian, Ubuntu
Niveau : Moitié plein !
Localisation : Guebwiller

downgrader firefox et thunderbird (et fin de windows xp - ree)

Message par le Manchot Masqué » mar. 05 nov. 2019, 01:07

Ce jour la dernière version de firefox sous XP semble avoir cessé de fonctionner définitivement sur plusieurs sites internet, la faute à des certificats non reconnus (comprenez que les GAFAM ont fait ce qu'il fallait pour rendre leurs outils en ligne incompatibles avec les versions XP, et tuer ainsi les derniers postes résiduels qui résistaient encore et toujours !).

Comme par un grand hasard, Firefox en version 70 vient également de changer complètement les fichiers gérant le profil utilisateur, rendant les anciens profils en version 52 impossibles à intégrer directement avec la nouvelle version 70, en copiant directement les profils de windows à GNU/Linux, ce qui a toujours parfaitement fonctionné jusque là... C'est vraiment à se demander si Mozilla cherche à se suicider ! Parce que vous ne le savez peut-être pas, mais cela fait maintenant plusieurs versions de suite, sous windows, où Mozilla fait le con en imposant de nouveaux profils incompatibles avec les anciens, le tout en étant même pas foutu de convertir les anciens profils aux nouveaux formats !!!

Pire encore : la version 70, non contente de prévenir qu'elle est incompatible avec les anciens profils, invite maintenant directement à la création d'un compte chez Mozilla ! En se croirait chez les GAFAM !

Face à ces manœuvres indignes du monde du Libre, il est heureusement encore possible de revenir sous GNU/Linux à une ancienne version :

On demande d'abord les versions possibles à installer :

Code : Tout sélectionner

apt-cache policy firefox
Puis on choisit l'ancienne version :

Code : Tout sélectionner

apt install version=59.0.2+build1-0ubuntu1
Idem côté thunderbird

Code : Tout sélectionner

apt-cache policy thunderbird
Puis on choisit l'ancienne version :

Code : Tout sélectionner

apt install thunderbird=1:52.7.0+build1-0ubuntu1
Pour ma part, c'est la seconde fois, en 25 ans d'utilisation, où je suis obligé de downgrader des paquets sous GNU/Linux - c'est inacceptable !

Il est heureux que falkon fonctionne aussi sous les clients windows. Et en ce qui me concerne, si Mozilla continue sur sa lancée, elle va définitivement dégager des postes clients : personne n'a pas de temps à perdre dans les entreprises avec des versions qui posent des problèmes et emmerdent autant les usagers que les administrateurs !

Il est vrai aussi que quand vous gérez des parcs, la fréquence des mises à jour de Firefox/Thunderbird est devenue insupportable à suivre. De toute évidence, Mozilla n'a toujours pas compris qu'une mise à jour doit se justifier sur de réels changements majeurs, et non sur de l'esthétique et du paraître, dont tout le monde se tape royalement !

A bon entendeur !

Répondre